## Apache Zeta Components Manual :: Docs For Class ezcCacheStackMetaData

### Cache::ezcCacheStackMetaData

### Interface ezcCacheStackMetaData

Interface for stack meta data.

This interface describes the methods that must be supported by a meta data class that is to be used with a ezcCacheStackReplacementStrategy and therefore used with ezcCacheStackMetaDataStorage::storeMetaData() and ezcCacheStackMetaDataStorage::restoreMetaData().

Source for this file: /Cache/src/interfaces/meta_data.php

    ezcBasePersistable
       |
       --ezcCacheStackMetaData

Version: | //autogen//

### Inherited Methods

From ezcBasePersistable
public ezcBasePersistable | `ezcBasePersistable::__construct()` The constructor for the object needs to be able to accept no arguments.
public array(string=>mixed) | `ezcBasePersistable::getState()` Returns all the object's properties so that they can be stored or indexed.
public void | `ezcBasePersistable::setState()` Accepts an array containing data for one or more of the class' properties.

Documentation generated by phpDocumentor 1.4.3